/* Hero Section */
.hero {
    height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 2rem;
    position: relative;
}

.hero-content {
    position: relative;
    z-index: 2;
}

.hero h1 {
    font-family: 'Christmas',sans-serif;
    font-size: clamp(2.5rem, 6vw, 4.5rem);
    color: var(--text-light);
    text-shadow: 2px 4px 20px rgba(0, 0, 0, 0.6);
    margin-bottom: 1.5rem;
    font-weight: 700;
}
.hero-highlight{
    color: var(--highlight-gold);
}
.hero p {
    font-family: 'Poppins-Regular',sans-serif;
    font-size: 1.3rem;
    color: rgba(245, 245, 245, 0.95);
    max-width: 700px;
    margin: 0 auto 2rem;
    font-weight: 300;
}

.hero-button {
    padding: 1rem 1rem;
    background: var(--primary-green);
    border: none;
    color: white;
    font-size: 1.1rem;
    border-radius: 12px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.hero-button:hover {
    transform: translateY(-3px);
    padding:  1rem 2rem;
}

.scroll-indicator {
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    font-size: 2rem;
    animation: bounce 2s infinite;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% { transform: translateX(-50%) translateY(0); }
    40% { transform: translateX(-50%) translateY(-10px); }
    60% { transform: translateX(-50%) translateY(-5px); }
}
@media(min-width:767px){}
@media(min-width:1023px){}
@media(min-width:1439px){
    .hero{
        height: 80vh;
    }
}
/* Overview */
.overview{
    background-color: white;
    padding: 1rem 0rem;
    border: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.overview-content{
    width: 90%;
    box-shadow: 0 0 20px -10px grey;
    padding: 1rem;
}
.overview-text h2{
    font-family: var(--major-heading);
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
.overview-text p{
    font-family: var(--paragraph);
    margin-bottom: 10px;
}
.overview-images{
    display: none;
}
@media(min-width: 767px){
    
}
@media(min-width: 1023px){
    
}
@media(min-width: 1439px){
    .overview-content{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .overview-text{
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 2rem 2rem;
    }
    .overview-text h2{
        font-size: 2rem;
    }
    .overview-images{
        display: grid;
        grid-template-columns: 1fr 1fr;
        justify-content: center;
    }
    .overview-images img{
        width: 100%;
        height: 100%;
        object-fit: cover
        ;
    }
    
}

/* Lodging Section */
.lodging_options{
    padding: 1rem 1rem;
    margin: 0;
}
.lodging_options h2{
    font-family: var(--major-heading);
    font-size: 2.5rem;
    color: var(--primary-green);
    text-align: center;
}
.lodging_options_content_cards{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.lodging_options_content_card{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.lodging_options_content_card_content{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.lodging_options_content_card_content h3{
    font-family: var(--minor-heading);
    font-size: 1.5rem;
    color: var(--primary-green);
}
.lodging_options_content_card_content p{
    font-family: var(--paragraph);
    margin-bottom: 10px;
}
.lodging_options_content_card_content a{
    font-family: var(--paragraph);
    margin-bottom: 10px;
    background: var(--primary-green);
    color: white;
    text-decoration: none;
    padding: .5rem 1rem;
    width: fit-content;
    border-radius: 6px;
}
@media(min-width: 767px){
    .lodging_options_content_cards{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .lodging_options_content_card img{
        height: 200px;
        object-fit: cover;
    }
}
@media(min-width: 1023px){
    .lodging_options_content_cards{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .lodging_options_content_card{
        box-shadow: 0 0 20px -10px grey;
    }
    .lodging_options_content_card_content{
        padding: 0rem 1rem;
    }
}
@media(min-width: 1439px){
    
}